Bug 74097 - Galeon does not respect http proxy settings.
Galeon does not respect http proxy settings.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 00:23 EDT by Bennett Feitell
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 11:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bennett Feitell 2002-09-16 00:23:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i586; U;) Gecko/20020809

Description of problem:
Galeon fails to respect http proxy settings.
Galeon fails to direct http requests to proxy when manual proxy settings are
entered.  Mozilla works correctly in this regard.

Version-Release number of selected component (if applicable):

galeon-1.2.5-6

How reproducible:
Always

Steps to Reproduce:
1.proxy in galeon.
2.access web
3.joy will be denied
	

Actual Results:  Privoxy is running on a zoot box with web access.
Even though set to access the web via proxy, Galeon accesses the web directly.
Mozilla works correctly when set to access web via proxy.
Privoxy logs show no entries from Galeon browsing sessions.

Expected Results:  Galeon should be obedient and yield to my wishes.
Many banner ads and pop-ups should be slain as revealed by a cascade of bloody
log entries on the proxy server.

Additional info:
Comment 1 Bennett Feitell 2002-09-16 02:28:43 EDT
Oops, this problem only seems to occur when running galeon as root.  When logged
in as a non-privileged user the proxy settings in galeon work correctly.
Comment 2 Leonid Mamtchenkov 2002-09-16 03:41:46 EDT
Freshmeat announce for version 1.2.6 says ""Proxy preferences should now
actually be respected for a change...".
Comment 3 Christopher Blizzard 2002-09-16 11:17:37 EDT
I have a 1.2.6 errata ready for 7.x at this point.  I don't know about our next
release, though.
Comment 4 Bill Nottingham 2006-08-07 14:29:49 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 11:59:16 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.